Results 1 to 6 of 6

Thread: Error message when opensuse-2014-627 telnet and opensuse-2014-632 timezone updates install

  1. #1

    Default Error message when opensuse-2014-627 telnet and opensuse-2014-632 timezone updates install

    Dear community,

    Today, 11/10/2014 when I tried to install two updates opensuse-2014-627 telnet and opensuse-2014-632 timezone error message appeared:



    What is it? And how can I solve this problem?

  2. #2

    Default Re: Error message when opensuse-2014-627 telnet and opensuse-2014-632 timezone updates install

    Please post your repo list and the version of your timezone-java package:
    Code:
    zypper lr -d
    rpm -qi timezone-java
    My guess would be that you installed timezone-java from some other repo than the standard one.

    You might try "zypper patch" or YaST->Online Update to get a more sofisticated error message and maybe even a choice to solve the conflict.

  3. #3
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,889
    Blog Entries
    3

    Default Re: Error message when opensuse-2014-627 telnet and opensuse-2014-632 timezone updates install

    Quote Originally Posted by thestoryiheard View Post
    What is it? And how can I solve this problem?
    I just applied those updates without a problem. This was to opensuse 13.2. You failed to mention which version you are using.

    When I see that sort of message, I usually skip the updates, and try again later. It is often due to connecting to a mirror that is not fully synchronized, in which case it should clear up after a while.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  4. #4

    Default Re: Error message when opensuse-2014-627 telnet and opensuse-2014-632 timezone updates install

    zypper lr -d rpm -qi timezone-java
    Code:
    thestoryiheard@tsih:~> zypper lr -d
    #  | Alias                        | Name                               | Enabled | Refresh | Priority | Type   | URI                                                                                 | Service
    ---+------------------------------+------------------------------------+---------+---------+----------+--------+-------------------------------------------------------------------------------------+--------
     1 | download.nvidia.com-opensuse | nVidia Graphics Drivers            | Yes     | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/13.1/                                           |        
     2 | ftp.gwdg.de-suse             | Packman Repository                 | Yes     | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.1/                            |        
     3 | google-chrome                | google-chrome                      | Yes     | Yes     |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                 |        
     4 | home:mkubecek:firebird25     | home:mkubecek:firebird25           | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/mkubecek:/firebird25/openSUSE_13.1/ |        
     5 | home:mkubecek:private        | home:mkubecek:private              | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/mkubecek:/private/openSUSE_13.1/    |        
     6 | opensuse-guide.org-repo      | libdvdcss repository               | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.1/                                                |        
     7 | repo-debug-update            | openSUSE-13.1-Update-Debug         | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/debug/update/13.1/                                     |        
     8 | repo-debug-update-non-oss    | openSUSE-13.1-Update-Debug-Non-Oss | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/debug/update/13.1-non-oss/                             |        
     9 | repo-non-oss                 | openSUSE-13.1-Non-Oss              | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/non-oss/                        |        
    10 | repo-oss                     | openSUSE-13.1-Oss                  | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.1/repo/oss/                            |        
    11 | repo-source                  | openSUSE-13.1-Source               | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/source/distribution/13.1/repo/oss/                     |        
    12 | repo-update                  | openSUSE-13.1-Update               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1/                                           |        
    13 | repo-update-non-oss          | openSUSE-13.1-Update-Non-Oss       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.1-non-oss/                                   |        
    14 | subpixel                     | subpixel                           | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/muzlocker/openSUSE_Factory/         |        
    thestoryiheard@tsih:~> rpm -qi timezone-java
    Name        : timezone-java
    Version     : 2014h
    Release     : 4.1
    Architecture: noarch
    Install Date: Wed 08 Oct 2014 07:16:26 PM EEST
    Group       : System/Base
    Size        : 263788                                                                                                                                                    
    License     : BSD-3-Clause and SUSE-Public-Domain                                                                                                                       
    Signature   : RSA/SHA256, Mon 06 Oct 2014 10:19:30 AM EEST, Key ID b88b2fd43dbdc284                                                                                     
    Source RPM  : timezone-java-2014h-4.1.src.rpm                                                                                                                           
    Build Date  : Sun 28 Sep 2014 10:22:43 AM EEST
    Build Host  : build33
    Relocations : (not relocatable)
    Packager    : http://bugs.opensuse.org
    Vendor      : openSUSE
    URL         : http://www.gnu.org/software/libc/libc.html
    Summary     : Time Zone Descriptions
    Description :
    These are configuration files that describe available time zones - this
    package is intended for Java Virtual Machine based on OpenJDK.
    Distribution: openSUSE 13.1
    thestoryiheard@tsih:~> zypper patch
    Root privileges are required for updating packages.
    thestoryiheard@tsih:~> su
    Password: 
    tsih:/home/thestoryiheard # zypper patch
    Retrieving repository 'Packman Repository' metadata ..............................................................................................................[done]
    Building repository 'Packman Repository' cache ...................................................................................................................[done]
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: patch:openSUSE-2014-632-1.noarch conflicts with timezone-java.noarch < 2014i-8.1 provided by timezone-java-2014h-4.1.noarch
     Solution 1: do not keep timezone-java-2014h-4.1.noarch installed
     Solution 2: do not install patch:openSUSE-2014-632-1.noarch
    
    Choose from above solutions by number or cancel [1/2/c] (c): 1
    Resolving dependencies...
    Resolving package dependencies...
    2 Problems:
    Problem: java-1_7_0-openjdk-headless-1.7.0.6-24.13.5.x86_64 requires tzdata-java, but this requirement cannot be provided
    Problem: java-1_7_0-openjdk-1.7.0.6-24.13.5.x86_64 requires libawt.so()(64bit), but this requirement cannot be provided
    
    Problem: java-1_7_0-openjdk-headless-1.7.0.6-24.13.5.x86_64 requires tzdata-java, but this requirement cannot be provided
      uninstallable providers: timezone-java-2013h-1.1.noarch[repo-oss]
                       timezone-java-2014i-8.1.noarch[repo-update]
     Solution 1: Following actions will be done:
      do not keep java-1_7_0-openjdk-headless-1.7.0.6-24.13.5.x86_64 installed
      deinstallation of java-1_7_0-openjdk-headless-1.7.0.6-24.13.5.x86_64
     Solution 2: keep timezone-java-2014h-4.1.noarch
     Solution 3: break java-1_7_0-openjdk-headless-1.7.0.6-24.13.5.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or skip, retry or cancel [1/2/3/s/r/c] (c): 1
    
    Problem: java-1_7_0-openjdk-1.7.0.6-24.13.5.x86_64 requires libawt.so()(64bit), but this requirement cannot be provided
      uninstallable providers: java-1_7_0-openjdk-1.7.0.6-24.2.1.x86_64[repo-oss]
                       java-1_7_0-openjdk-1.7.0.6-24.9.1.x86_64[repo-update]
     Solution 1: Following actions will be done:
      do not forbid installation of timezone-java-2013h-1.1.noarch[repo-oss]
      do not install patch:openSUSE-2014-632-1.noarch
     Solution 2: Following actions will be done:
      do not forbid installation of java-1_7_0-openjdk-1.7.0.6-24.2.1.x86_64[repo-oss]
      do not forbid installation of java-1_7_0-openjdk-headless-1.7.0.6-24.13.5.i586[repo-update]
     Solution 3: do not keep java-1_7_0-openjdk-1.7.0.6-24.13.5.x86_64 installed
     Solution 4: do not forbid installation of timezone-java-2014i-8.1.noarch[repo-update]
     Solution 5: do not forbid installation of timezone-java-2014h-4.1.noarch[repo-update]
     Solution 6: do not forbid installation of java-1_7_0-openjdk-headless-1.7.0.6-24.13.5.x86_64[repo-update]
     Solution 7: do not forbid installation of java-1_7_0-openjdk-1.7.0.6-24.9.1.x86_64[repo-update]
     Solution 8: do not install patch:openSUSE-2014-632-1.noarch
     Solution 9: break java-1_7_0-openjdk-1.7.0.6-24.13.5.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or skip, retry or cancel [1/2/3/4/5/6/7/8/9/s/r/c] (c):
    You might try "zypper patch" or YaST->Online Update to get a more sofisticated error message and maybe even a choice to solve the conflict
    Yeah, I see, but I am stuck... You will see why in console output.

    You failed to mention which version you are using.
    Excuse me. I am using 13.1.

    When I see that sort of message, I usually skip the updates, and try again later. It is often due to connecting to a mirror that is not fully synchronized, in which case it should clear up after a while.
    Yeah, but in this case, some problems appeared when I manipulated with java packages.

  5. #5

    Default Re: Error message when opensuse-2014-627 telnet and opensuse-2014-632 timezone updates install

    Quote Originally Posted by thestoryiheard View Post
    Code:
    thestoryiheard@tsih:~> zypper lr -d
    Your problem doesn't seem to be caused by the repos.

    But you actually have _two_ problems:
    Code:
    2 Problems:
    Problem: java-1_7_0-openjdk-headless-1.7.0.6-24.13.5.x86_64 requires tzdata-java, but this requirement cannot be provided
    Problem: java-1_7_0-openjdk-1.7.0.6-24.13.5.x86_64 requires libawt.so()(64bit), but this requirement cannot be provided
    Strangely the timezone update does provide tzdata-java, and java-1_7_0-openjdk-headless does provide libawt.so.

    So maybe your zypper cache is corrupted?
    Try to run "sudo zypper clean -a", and maybe even "sudo rpm --rebuilddb".

    Then try "sudo zypper patch" again.

  6. #6

    Wink Re: Error message when opensuse-2014-627 telnet and opensuse-2014-632 timezone updates install

    wolfi323

    I found solution. It was time-zone package... Somehow, it was blocked by option 'Protection - Do Not Modify'. After I turn off this option, updates ran smoothly.

    So thank for you help!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •